import HeaderBack from "@/components/HeaderBack";
import { getTranslations } from "next-intl/server";
import { ReactNode } from "react";

export default async function Layout({
    children,
    params: { locale },
}: {
    children: ReactNode;
    params: { locale: string };
}) {
    const t = await getTranslations("Sidebar");
    return (
        <>
            <HeaderBack showBack={true} title={t("promocoes")} />
            <main className={"main-footer-header bg-[#282828]"}>{children}</main>
        </>
    );
}
